#ifndef HAL_IO_H_
#define HAL_IO_H_

#include <stdint.h>

uint8_t io_in8(uint16_t port);
void io_out8(uint16_t port, uint8_t value);

uint16_t io_in16(uint16_t port);
void io_out16(uint16_t port, uint16_t value);

uint32_t io_in32(uint16_t port);
void io_out32(uint16_t port, uint32_t value);

void io_ins16(uint16_t port, void *addr, int cnt);
void io_outs16(uint16_t port, const void *addr, int cnt);

#endif // HAL_IO_H_
